## dzl-shortcut-closure-chain dzl-shortcut-closure-chain |

## Functions

DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_signal ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_signalv ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_action ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_action_string ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_command ()
DzlShortcutClosureChain * | dzl_shortcut_closure_chain_append_callback ()
gboolean | dzl_shortcut_closure_chain_execute ()
void | dzl_shortcut_closure_chain_free ()

## Types and Values

| DzlShortcutClosureChain

## Description

## Functions

### dzl_shortcut_closure_chain_append ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append (DzlShortcutClosureChain *chain,
                                       DzlShortcutClosureChain *link);

### dzl_shortcut_closure_chain_append_signal ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_signal
                                   (DzlShortcutClosureChain *chain,
                                    const gchar *signal_name,
                                    guint n_args,
                                    va_list args);

### dzl_shortcut_closure_chain_append_signalv ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_signalv
                                   (DzlShortcutClosureChain *chain,
                                    const gchar *signal_name,
                                    GArray *params);

### dzl_shortcut_closure_chain_append_action ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_action
                                   (DzlShortcutClosureChain *chain,
                                    const gchar *group_name,
                                    const gchar *action_name,
                                    GVariant *params);

### dzl_shortcut_closure_chain_append_action_string ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_action_string
                                   (DzlShortcutClosureChain *chain,
                                    const gchar *detailed_action_name);

### dzl_shortcut_closure_chain_append_command ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_command
                                   (DzlShortcutClosureChain *chain,
                                    const gchar *command);

### dzl_shortcut_closure_chain_append_callback ()

    DzlShortcutClosureChain *
    dzl_shortcut_closure_chain_append_callback
                                   (DzlShortcutClosureChain *chain,
                                    GtkCallback callback,
                                    gpointer user_data,
                                    GDestroyNotify notify);

### dzl_shortcut_closure_chain_execute ()

    gboolean
    dzl_shortcut_closure_chain_execute (DzlShortcutClosureChain *chain,
                                        GtkWidget *widget);

### dzl_shortcut_closure_chain_free ()

    void
    dzl_shortcut_closure_chain_free (DzlShortcutClosureChain *chain);

## Types and Values

### DzlShortcutClosureChain

    typedef struct _DzlShortcutClosureChain DzlShortcutClosureChain;